Package org.apache.solr.client.solrj.io.ops

## Class GroupOperation

- java.lang.Object
- - org.apache.solr.client.solrj.io.ops.GroupOperation

All Implemented Interfaces:
  `Serializable`, `ReduceOperation`, `StreamOperation`, `Expressible`

    public class GroupOperation
    extends Object
    implements ReduceOperation

See Also:
  Serialized Form

### Constructor Summary

Constructors
`GroupOperation​(StreamComparator streamComparator, int size)`
`GroupOperation​(StreamExpression expression, StreamFactory factory)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `operate​(Tuple tuple)`
`Tuple` `reduce()`
`Explanation` `toExplanation​(StreamFactory factory)` Returns an explanation about the stream object
`StreamExpressionParameter` `toExpression​(StreamFactory factory)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GroupOperation

    public GroupOperation​(StreamExpression expression,
                          StreamFactory factory)
                   throws IOException

Throws:
  `IOException`

#### GroupOperation

    public GroupOperation​(StreamComparator streamComparator,
                          int size)

### Method Detail

#### toExpression

    public StreamExpressionParameter toExpression​(StreamFactory factory)
                                           throws IOException

Specified by:
  `toExpression` in interface `Expressible`
Throws:
  `IOException`

#### toExplanation

    public Explanation toExplanation​(StreamFactory factory)
                              throws IOException

Description copied from interface: `Expressible`
Returns an explanation about the stream object

Specified by:
  `toExplanation` in interface `Expressible`
Parameters:
  `factory` - Stream factory for this, contains information about the function name
Returns:
  Explanation about this stream object containing explanations of any child stream objects
Throws:
  `IOException` - throw on any error

#### reduce

    public Tuple reduce()

Specified by:
  `reduce` in interface `ReduceOperation`

#### operate

    public void operate​(Tuple tuple)

Specified by:
  `operate` in interface `StreamOperation`